@echo ---------------------------------------------------------
@echo	                 简易ROOT工具 (v5.0)
@echo ---------------------------------------------------------
@echo 开始之前:   
@echo      (1) 启用“USB调试”
@echo          从（菜单\设置\应用\开发） 
@echo      (2) 确保设备已安装ADB驱动程序
@echo ---------------------------------------------------------
@echo 确认上面所有操作已经完成
@pause
@echo --- 启动 ----
@echo --- 等待设备
echo off
cls
files\adb shell mv /data/local/tmp /data/local/tmp.bak
files\adb shell ln -s /data /data/local/tmp
files\adb reboot
echo 重新启动 - 继续，一旦设备完成重新启动。
pause
files\adb shell rm /data/local.prop > nul
files\adb shell "echo \"ro.kernel.qemu=1\" > /data/local.prop"
files\adb reboot
echo 重新启动 - 继续，一旦设备完成重新启动。
pause
files\adb shell id
echo 如果显示“uid=0(root) gid=0(root)”然后继续，否则CTRL + C取消，并重新开始。
pause
files\adb remount
files\adb push files\su /system/xbin/su
files\adb shell chown 0.0 /system/xbin/su
files\adb shell chmod 06755 /system/xbin/su
echo Removing changes except ROOT
files\adb shell rm /data/local.prop
files\adb shell rm /data/local/tmp
files\adb shell mv /data/local/tmp.bak /data/local/tmp
files\adb push files\superuser.apk /system/app/superuser.apk
files\adb reboot
echo 重新启动 - 恭喜！设备应该ROOT了。http://padhz.com
pause
echo on
